# ldc CARDS

## Usage

```html

<lib-ldc-button [config]="buttonConfig"></lib-ldc-button>
```

```typescript
import { Component} from '@angular/core';
import { LdcThemePalette, TooltipPositions } from '@testlocallibrary/shared-kernel/components/ldc-button';
import { LdcButtonTypes } from '@testlocallibrary/shared-kernel/components/ldc-button';
import { ButtonType } from '@testlocallibrary/shared-kernel/components/ldc-button';
import { IButton } from '@testlocallibrary/shared-kernel/components/ldc-button';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    buttonConfig:IButton={
            text:'Add',
            isLdcButton:false,
            isLoading:false,
            color:ldcThemePalette.Primary,
            matType:ldcButtonTypes.Raised,
            spinnerColor:'white',
            icon:'add',
            isDisabled:false,
            type:ButtonType.Button,
            toolTip:{
            position: TooltipPositions.Below,
            toolTip: 'Add'
            },
            onClick:(e:any)=>{
            console.log('event',e)
            }
  }
}
```

### Properties

| Name         | Type    | Description                                 |
|----------    |-------  |----------------------------------           |
| buttonConfig | IButton | configuration of the button to be displayed |


